# Name

HPL_broadcast Broadcast operation.

# Synopsis

`#include "hpl.h"`
`int` `HPL_broadcast(` `void *` `BUFFER`, `const int` `COUNT`, `const HPL_T_TYPE` `DTYPE`, `const int` `ROOT`, `MPI_Comm` `COMM` `);`

# Description

HPL_broadcast broadcasts a message from the process with rank ROOT to all processes in the group.

# Arguments

    BUFFER  (local input/output)          void *
            On entry,  BUFFER  points to  the  buffer to be broadcast. On
            exit, this array contains the broadcast data and is identical
            on all processes in the group.

    COUNT   (global input)                const int
            On entry,  COUNT  indicates the number of entries in  BUFFER.
            COUNT must be at least zero.

    DTYPE   (global input)                const HPL_T_TYPE
            On entry,  DTYPE  specifies the type of the buffers operands.

    ROOT    (global input)                const int
            On entry, ROOT is the coordinate of the source process.

    COMM    (global/local input)          MPI_Comm
            The MPI communicator identifying the process collection.

# See Also

HPL_reduce, HPL_all_reduce, HPL_barrier, HPL_min, HPL_max, HPL_sum.